Bug 1125256 - [abrt] shotwell: g_settings_backend_dispatch_signal(): shotwell killed by SIGSEGV
Summary: [abrt] shotwell: g_settings_backend_dispatch_signal(): shotwell killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ba61ef37f0c330bdb592dee677f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 12:42 UTC by ChuckV
Modified: 2016-07-03 06:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:52:29 UTC


Attachments (Terms of Use)
File: backtrace (37.86 KB, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: cgroup (172 bytes, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: core_backtrace (18.67 KB, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: dso_list (12.36 KB, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: environ (3.52 KB, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: maps (64.24 KB, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: open_fds (181 bytes, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details
File: var_log_messages (380 bytes, text/plain)
2014-07-31 12:42 UTC, ChuckV
no flags Details

Description ChuckV 2014-07-31 12:42:27 UTC
Description of problem:
opened a PNG file, made the window maximum size and then closed it

Version-Release number of selected component:
shotwell-0.15.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        shotwell '/home/chuckv/Screenshot - 02052014 - 02:03:52 PM.png'
crash_function: g_settings_backend_dispatch_signal
executable:     /usr/bin/shotwell
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_settings_backend_dispatch_signal at gsettingsbackend.c:340
 #1 g_settings_backend_changed at gsettingsbackend.c:400
 #2 dconf_engine_change_notify at dconfsettingsbackend.c:250
 #3 dconf_engine_emit_changes at dconf-engine.c:871
 #4 dconf_engine_change_completed at dconf-engine.c:948
 #5 dconf_gdbus_method_call at dconf-gdbus-thread.c:250
 #9 g_main_context_iteration at gmain.c:3774
 #10 dconf_gdbus_worker_thread at dconf-gdbus-thread.c:81
 #11 g_thread_proxy at gthread.c:798

Comment 1 ChuckV 2014-07-31 12:42:30 UTC
Created attachment 922896 [details]
File: backtrace

Comment 2 ChuckV 2014-07-31 12:42:31 UTC
Created attachment 922897 [details]
File: cgroup

Comment 3 ChuckV 2014-07-31 12:42:32 UTC
Created attachment 922898 [details]
File: core_backtrace

Comment 4 ChuckV 2014-07-31 12:42:33 UTC
Created attachment 922899 [details]
File: dso_list

Comment 5 ChuckV 2014-07-31 12:42:35 UTC
Created attachment 922900 [details]
File: environ

Comment 6 ChuckV 2014-07-31 12:42:36 UTC
Created attachment 922901 [details]
File: exploitable

Comment 7 ChuckV 2014-07-31 12:42:37 UTC
Created attachment 922902 [details]
File: limits

Comment 8 ChuckV 2014-07-31 12:42:38 UTC
Created attachment 922903 [details]
File: maps

Comment 9 ChuckV 2014-07-31 12:42:39 UTC
Created attachment 922904 [details]
File: open_fds

Comment 10 ChuckV 2014-07-31 12:42:41 UTC
Created attachment 922905 [details]
File: proc_pid_status

Comment 11 ChuckV 2014-07-31 12:42:42 UTC
Created attachment 922906 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:31:38 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:52:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.